Survey

Get a survey by ID

get
Query parameters
idstringRequired

The UUID of the survey to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
chevron-right
200

The survey has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

namestringRequired

Internal form name.

descriptionstring · nullableRequired

Internal form description.

Default: null
languageall ofRequired

Language in which the form is written. This language is used to determine the source language for machine translation.

string · enumOptionalPossible values:
enabledbooleanRequired

Determines if the form is enabled.

autoTranslatebooleanRequired

Whether to automatically translate the form.

submissionCountnumberRequired

Number of submissions recorded for this form.

publiclyAvailablebooleanRequired

Determines whether the survey can be requested publicly without specifying a tracker

solicitationThresholdnumberRequired

Determines the maximum time threshold for sending a survey. This threshold corresponds to the difference between the purchase date and the date on which it was processed for survey dispatch, in seconds. If it is exceeded, no survey will be sent.

resolicitationDelaynumberRequired

Determine the time to wait before sending a new survey to the same customer, in seconds

resolicitationModeall ofRequired

Determines the mode of resolicitation

string · enumOptionalPossible values:
preRedirectbooleanRequired

Enable/Disable redirection to external satisfaction surveys before form submission If true, preRedirectThreshold and preRedirectConfig must be set

postRedirectbooleanRequired

Enable/Disable redirection to external satisfaction surveys before after submission If true, postRedirectThreshold must be set Default false

postRedirectThresholdnumber · nullableRequired

Threshold at which to redirect the customer to the external satisfaction survey after submitting the form If 0 is set, the redirection will always be made 0 - 10

Default: null
get
/partners/survey

List surveys

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
Responses
post
/partners/survey/list

Last updated